using Microsoft.AspNetCore.Razor.TagHelpers;

namespace ITVisions
{
 /// <summary>
 /// Tag Helper
 /// Verwendung: <Autor autor="objekt" size="zahl 1 bis 5"></Autor>
 /// </summary>
 public class AutorTagHelper : Microsoft.AspNetCore.Razor.TagHelpers.TagHelper
 {
  /// <summary>
  /// Komplexes Objekt als Parameter
  /// </summary>
  public Autor Autor { get; set; }
  /// <summary>
  /// Zahl als Parameter
  /// </summary>
  public byte Size { get; set; }

  public override void Process(TagHelperContext context, TagHelperOutput output)
  {
   if (Size > 5) Size = 5;
   output.TagName = "h" + Size.ToString();
   output.Content.SetContent(
    $@"Autor #{Autor.ID}: {Autor.Name}");
   output.TagMode = TagMode.StartTagAndEndTag;
  }
 }
}

